// ICFRangerDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CICFRangerDlg dialog
class CICFRangerDlg : public CDialog
{
// Construction
public:
	CICFRangerDlg(CWnd* pParent = NULL);	// standard constructor

	std::vector< std::pair< NETCON_PROPERTIES *, INetSharingConfiguration * > > *m_pConnections;

// Dialog Data
	enum { IDD = IDD_ICFRANGER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	CListBox m_ctrlListConnections;
	CEdit m_ctrlEditDescription;
	CEdit m_ctrlEditComputer;
	CEdit m_ctrlEditExtStart;
	CEdit m_ctrlEditExtEnd;
	CEdit m_ctrlEditIntStart;
	CEdit m_ctrlEditIntEnd;
	CButton m_ctrlRadioButtonTCP;
	CButton m_ctrlRadioButtonUDP;

public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnEnChangeEditExtStart();
	afx_msg void OnEnChangeEditExtEnd();
	afx_msg void OnEnChangeEditIntStart();

protected:
	void rangeChange();
	bool isIpAddress(const CString &csComputer);

public:
	CProgressCtrl m_ctrlProgressAdding;
};
